%define name	fonts-ttf-arabic-kacst
%define name_orig KacstArabicFonts
%define version 1.6.3
%define release 1mdk
%define fontdir	fonts/ttf/arabic/kacst

Name:		%{name}
Summary:	Free Arabic TrueType fonts
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Fonts/True type
Source:		http://ceri.kacst.edu.sa/download/%{name_orig}-%{version}.tar.bz2
URL:		http://ceri.kacst.edu.sa/download
BuildArch:	noarch
BuildRoot:	%_tmppath/%name-%version-%release-buildroot
BuildPrereq: 	freetype-tools
PreReq:		chkfontpath, fontconfig
Requires:	freetype
Provides:	fonts-ttf-arabic

%description
This Package provides Free Arabic TrueType fonts donated under the GPL license
by King Abdulaziz City for Science and Technology (KACST).

%prep
%setup -n %name_orig-%version

%build

%install
rm -rf %buildroot

mkdir -p %buildroot/%_datadir/%fontdir
cp *.ttf %buildroot/%_datadir/%fontdir

pushd %buildroot/%_datadir/%fontdir
%_sbindir/ttmkfdir -u -o fonts.scale
cp fonts.scale fonts.dir
%_bindir/fc-cache . || touch fonts.cache-1
popd

%post
if [ -x %_sbindir/chkfontpath ]; then
   %_sbindir/chkfontpath -q -a %_datadir/%fontdir
fi
%{_bindir}/fc-cache %{_datadir}/fonts/ 

%postun
# 0 means a real uninstall
if [ "$1" = "0" ]; then
   [ -x %_sbindir/chkfontpath ] && \
   %_sbindir/chkfontpath -q -r %_datadir/%fontdir
   %{_bindir}/fc-cache %{_datadir}/fonts/ 
fi

%clean
rm -rf %buildroot

%files
%defattr(0644,root,root,0755)
%doc license.txt
%dir %_datadir/fonts/
%dir %_datadir/fonts/ttf/
%dir %_datadir/%fontdir
%_datadir/%fontdir/*

%changelog
* Thu Aug 05 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.6.3-1mdk
- rpmlint fix
- do not use subsheels b/c they hide errors
- initial build (Munzir Taha <munzirtaha@newhorizons.com.sa>)
